This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 885686 - Tomcat web application configuration form allows save without Config File required field
Tomcat web application configuration form allows save without Config File req...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Tomcat (Show other bugs)
JON 3.2
Unspecified Unspecified
high Severity medium
: ER01
: JON 3.2.0
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-10 07:21 EST by Libor Fuka
Modified: 2014-06-20 12:08 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:33:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Fuka 2012-12-10 07:21:50 EST
Description of problem:
You can change and save configuration of Tomcat web application without filling Text field "Config File" (required field). I think Config File text field should not be required.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rémy Maucherat 2012-12-14 11:47:31 EST
This attribute is among the attributes I identified as problematic if required. Another issue for this particular one is that there's a type conflict between Tomcat 6 and 7 (a String became a URL).
Comment 4 Charles Crouch 2013-04-12 11:35:50 EDT
There appear to be two issues here:

1) "You can change and save configuration of Tomcat web application without filling Text field "Config File" (required field). "

This sounds like we allow people to leave required fields blank. If this is is the case then we need to fix that in core JON

2) "I think Config File text field should not be required."

Making a field not required is done by the updating the rhq-plugin which is done by the EWS team.
Comment 5 Charles Crouch 2013-04-12 11:37:13 EDT
" Another issue for this particular one is that there's a type conflict between Tomcat 6 and 7 (a String became a URL)."

Remy please raise a new EWS issue if this is a problem
Comment 6 Charles Crouch 2013-04-12 11:38:36 EDT
(In reply to comment #4)
Assigning to 3.2 so that we can see if 1) is actually a problem in core JON
Comment 7 Thomas Segismont 2013-05-28 11:38:21 EDT
Fixed in master

commit 2f15379bb357495c558b05fb271e247fa1681d01
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue May 28 17:36:13 2013 +0200

Bug 885686 - Tomcat web application configuration form allows save without Config File required field

It's not a Tomcat specific issue. We had a problem in *EditView classes: the check to enable/disable the save button was only based on the invalid properties set having been changed. Now it also looks at the set being empty or not.
Comment 8 Thomas Segismont 2013-05-28 11:48:08 EDT
(In reply to Charles Crouch from comment #5)
> " Another issue for this particular one is that there's a type conflict
> between Tomcat 6 and 7 (a String became a URL)."
> 
> Remy please raise a new EWS issue if this is a problem

The "required" attribute has been set to false in this commit:

commit 417fbb59817edf64a93d3cca00f2c51926379ab2
Author: Rémy Maucherat <rmaucher@redhat.com>
Date:   Tue Mar 26 14:51:55 2013 +0100

    Fix some roles operations.
    Fix some attributes (not valid across all versions).
Comment 9 Simeon Pinder 2013-07-02 16:33:35 EDT
This bz is available for testing with the latest 3.2.x brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=280316
Comment 10 Libor Fuka 2013-07-15 08:22:08 EDT
JON EWS Tomcat plugin 3.2.0 with EWS 2.0.1 T6/T7 did not discovered child resources after proper configuration jmx connection and proper principal/credentials on RHEL6.

So i can't test configuration of Tomcat web application.

Note: Tomcat plugin was updated during EWS 2.0.1 release. See customer portal. This updated and fixed JON EWS Tomcat plugin functionality should be included in JON 3.2.0 release. Please update Tomcat plugin with 3.2.0.
Jean-Frederic can provide more info about tomcat plugin update.
Comment 11 Simeon Pinder 2013-07-23 09:20:24 EDT
As reported, there are changes made to the JON 3.1.x stream that have not been merged/ported back to master. This needs to be done before QA will be able to test in a new 3.2.x build.

i)Assigning to myself to merge those changes to master 
ii)after which the status will be moved to MODIFIED for testing in a later 3.2.x build.
iii)Will reassign back to thomas.
Comment 12 Simeon Pinder 2013-08-14 13:47:30 EDT
These are merged into master with commits:
0ac6f0c
f625bff
f04c9ef
a978c9b
0aec2ec
07dd8cd
4db8471
Comment 13 Simeon Pinder 2013-09-23 10:40:35 EDT
Moving this to ON_QA as this is available for test in ER1.
Comment 14 Libor Fuka 2013-09-23 11:17:37 EDT
Text field "Config File" is no longer required in 3.2.0.ER1

Note You need to log in before you can comment on or make changes to this bug.